Skip to main content
POST
/
commerce
/
catalog
/
admin
/
pricelists
Error
A valid request URL is required to generate request examples
{
  "name": "<string>",
  "priceListCode": "<string>",
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "defaultForSites": [
    123
  ],
  "description": "<string>",
  "enabled": true,
  "filteredInStorefront": true,
  "indexedSites": [
    123
  ],
  "mappedCustomerSegments": [
    "<string>"
  ],
  "parentPriceListCode": "<string>",
  "parentPriceListName": "<string>",
  "priceListSequence": 123,
  "rank": 123,
  "resolvable": true,
  "validForAllSites": true,
  "validSites": [
    123
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Category

name
string
required

Name of the priceList. Max length is 100

Minimum string length: 1
priceListCode
string
required

External unique identifier of the PriceList. Must be unique an only contain url sanitized characters. Max length is 50

Minimum string length: 1
auditInfo
object
defaultForSites
integer<int32>[] | null
description
string | null

Description of the price list. Max length is 300

enabled
boolean | null

Is the price list enabled and valid in the storefront. Default is true.

filteredInStorefront
boolean | null

When true, only products with valid price list entries will be visible in the storefront. Default is false

indexedSites
integer<int32>[] | null
mappedCustomerSegments
string[] | null

List of customer segment code associated with this price list. Used to resolve default price list

parentPriceListCode
string | null

Parent PriceList code, Can be null for root level priceLists

parentPriceListName
string | null

Parent PriceList name, Can be null for root level priceLists. Read only in contract.

priceListSequence
integer<int32>
rank
integer<int32> | null

Used to prioritize price list resolution when more than 1 price list maps

resolvable
boolean | null

Determines if this price list can be resolved as the current price list within a session.

validForAllSites
boolean | null

When true, no valid sites need to be specifiied. Price list is considered valid for all sites. Default is true

validSites
integer<int32>[] | null

When ValidForAllSites = false, a list of siteIDs that the price list is valid for should be supplied

Response

OK

Category

name
string
required

Name of the priceList. Max length is 100

Minimum string length: 1
priceListCode
string
required

External unique identifier of the PriceList. Must be unique an only contain url sanitized characters. Max length is 50

Minimum string length: 1
auditInfo
object
defaultForSites
integer<int32>[] | null
description
string | null

Description of the price list. Max length is 300

enabled
boolean | null

Is the price list enabled and valid in the storefront. Default is true.

filteredInStorefront
boolean | null

When true, only products with valid price list entries will be visible in the storefront. Default is false

indexedSites
integer<int32>[] | null
mappedCustomerSegments
string[] | null

List of customer segment code associated with this price list. Used to resolve default price list

parentPriceListCode
string | null

Parent PriceList code, Can be null for root level priceLists

parentPriceListName
string | null

Parent PriceList name, Can be null for root level priceLists. Read only in contract.

priceListSequence
integer<int32>
rank
integer<int32> | null

Used to prioritize price list resolution when more than 1 price list maps

resolvable
boolean | null

Determines if this price list can be resolved as the current price list within a session.

validForAllSites
boolean | null

When true, no valid sites need to be specifiied. Price list is considered valid for all sites. Default is true

validSites
integer<int32>[] | null

When ValidForAllSites = false, a list of siteIDs that the price list is valid for should be supplied